<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd">
	
	<!-- Root Context: defines shared resources visible to all other web components -->
	
	<bean id="propertyConfigurer" class="org.springframework.beans.factory.config.PropertyPlaceholderConfigurer">
		<property name="location">
			<value>classpath:conf/jdbc.properties</value>
		</property>
	</bean>
	
	<!-- dataSource (sig) -->
    <bean id="dataSource" class="org.apache.commons.dbcp.BasicDataSource" destroy-method="close">
		<property name="driverClassName" value="${db.Driver}"/>
		<property name="url" value="${db.Url}"/>
		<property name="username" value="${db.Username}"/>
		<property name="password" value="${db.Password}"/>
	</bean>
	
	<!-- dataSource (admin) -->
	<bean id="dataSource_admin" class="org.apache.commons.dbcp.BasicDataSource" destroy-method="close">
		<property name="driverClassName" value="${admin.Driver}"/>
		<property name="url" value="${admin.Url}"/>
		<property name="username" value="${admin.Username}"/>
		<property name="password" value="${admin.Password}"/>
	</bean>
	
	<!-- dataSource (sigopen) -->
    <bean id="dataSource_sigopen" class="org.apache.commons.dbcp.BasicDataSource" destroy-method="close">
		<property name="driverClassName" value="${sigopen.Driver}"/>
		<property name="url" value="${sigopen.Url}"/>
		<property name="username" value="${sigopen.Username}"/>
		<property name="password" value="${sigopen.Password}"/>
	</bean>
		
</beans>
